For the complete documentation index, see llms.txt. This page is also available as Markdown.

Processes

List

get

Retrieve the list of all processes for all the RD Session Host sessions.

Query parameters
SiteIdinteger · int32Optional

Site ID for which processes for all the RD Session Host sessions will be retrieved (optional)

ServerstringOptional

Filter the result by server name (optional)

Responses
200

Success

application/json; api-version=1.0

Information about applications running in Remote Session on a Server

namestring · nullableOptional

Published Item name.

appNamestring · nullableOptional

Application name.

processstring · nullableOptional

Process name.

pidinteger · int32Optional

Process ID.

userstring · nullableOptional

User which is running the application.

sessioninteger · int32Optional

RAS session ID.

serverIDinteger · int32Optional

Server ID from where the application is hosted.

get/api/RDS/Host/sessions/processes
GET /api/RDS/Host/sessions/processes HTTP/1.1
Accept: */*
[
  {
    "name": "text",
    "appName": "text",
    "process": "text",
    "pid": 1,
    "user": "text",
    "session": 1,
    "serverID": 1
  }
]

List by Server ID

get

Retrieve the list of all processes for all the sessions of a specified RDS.

Path parameters
idinteger · int32Required

Server ID for which processes for all the RD Session Host sessions will be retrieved

Responses
200

Success

application/json; api-version=1.0

Information about applications running in Remote Session on a Server

namestring · nullableOptional

Published Item name.

appNamestring · nullableOptional

Application name.

processstring · nullableOptional

Process name.

pidinteger · int32Optional

Process ID.

userstring · nullableOptional

User which is running the application.

sessioninteger · int32Optional

RAS session ID.

serverIDinteger · int32Optional

Server ID from where the application is hosted.

get/api/RDS/Host/{id}/sessions/processes
GET /api/RDS/Host/{id}/sessions/processes HTTP/1.1
Accept: */*
[
  {
    "name": "text",
    "appName": "text",
    "process": "text",
    "pid": 1,
    "user": "text",
    "session": 1,
    "serverID": 1
  }
]

List by Server ID and Session ID

get

Retrieve the list of all processes for a specified session of a specified RDS.

Path parameters
idinteger · int32Required

Server ID for which processes of a specified RD Session Host session will be retrieved

sessionIdinteger · int32Required

Session ID for which all processes will be retrieved

Responses
200

Success

application/json; api-version=1.0

Information about applications running in Remote Session on a Server

namestring · nullableOptional

Published Item name.

appNamestring · nullableOptional

Application name.

processstring · nullableOptional

Process name.

pidinteger · int32Optional

Process ID.

userstring · nullableOptional

User which is running the application.

sessioninteger · int32Optional

RAS session ID.

serverIDinteger · int32Optional

Server ID from where the application is hosted.

get/api/RDS/Host/{id}/sessions/{sessionId}/processes
GET /api/RDS/Host/{id}/sessions/{sessionId}/processes HTTP/1.1
Accept: */*
[
  {
    "name": "text",
    "appName": "text",
    "process": "text",
    "pid": 1,
    "user": "text",
    "session": 1,
    "serverID": 1
  }
]

Get

get

Retrieve a process with a specified PID for a specified session of a specified RD Session Host.

Path parameters
idinteger · int32Required

Server ID for which a process of a specified RD Session Host session will be retrieved

sessionIdinteger · int32Required

Session ID for which a specified process will be retrieved

pidinteger · int32Required

ID of the process to be retrieved

Responses
200

Success

application/json; api-version=1.0

Information about applications running in Remote Session on a Server

namestring · nullableOptional

Published Item name.

appNamestring · nullableOptional

Application name.

processstring · nullableOptional

Process name.

pidinteger · int32Optional

Process ID.

userstring · nullableOptional

User which is running the application.

sessioninteger · int32Optional

RAS session ID.

serverIDinteger · int32Optional

Server ID from where the application is hosted.

get/api/RDS/Host/{id}/sessions/{sessionId}/processes/{pid}
GET /api/RDS/Host/{id}/sessions/{sessionId}/processes/{pid} HTTP/1.1
Accept: */*
{
  "name": "text",
  "appName": "text",
  "process": "text",
  "pid": 1,
  "user": "text",
  "session": 1,
  "serverID": 1
}